For the complete documentation index, see llms.txt. This page is also available as Markdown.

Connections

List App Connections

get
/sdk/apps/{SDK_appName}/connections
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_appNamestringRequired
Responses
200

Successful response

application/json
get/sdk/apps/{SDK_appName}/connections
GET /api/v2/sdk/apps/{SDK_appName}/connections HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "appConnections": [
    {
      "name": "testConnection",
      "label": "Test Connection",
      "type": "oauth",
      "parameters": {},
      "app_version": "1",
      "alias_to": null
    },
    {
      "name": "postman-test-app-6-1",
      "label": "Test Connection",
      "type": "oauth"
    },
    {
      "name": "postman-test-app-6-12",
      "label": "Test Connection",
      "type": "oauth"
    },
    {
      "name": "postman-test-app-6-13",
      "label": "Test Connection",
      "type": "oauth"
    },
    {
      "name": "postman-test-app-6-14",
      "label": "Test Connection",
      "type": "oauth"
    },
    {
      "name": "postman-test-app-6-15",
      "label": "Test Connection",
      "type": "oauth"
    },
    {
      "name": "postman-test-app-6-16",
      "label": "Test Connection",
      "type": "oauth"
    }
  ]
}

Create Connection

post
/sdk/apps/{SDK_appName}/connections
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_appNamestringRequired
Body
typestring · enumOptionalPossible values:
labelstringOptional
Responses
200

Successful response

application/json
post/sdk/apps/{SDK_appName}/connections
POST /api/v2/sdk/apps/{SDK_appName}/connections HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 40

{
  "type": "basic",
  "label": "Hello Charlie"
}
200

Successful response

{
  "appConnection": {
    "name": "custom-app-13",
    "label": "Main Connection",
    "type": "basic"
  }
}

Get Connection

get
/sdk/apps/connections/{SDK_connectionName}
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_connectionNamestringRequired
Responses
200

Successful response

application/json
get/sdk/apps/connections/{SDK_connectionName}
GET /api/v2/sdk/apps/connections/{SDK_connectionName} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "appConnection": {
    "name": "custom-app-13",
    "label": "Main Connection",
    "type": "basic",
    "appVersion": "1"
  }
}

Delete Connection

delete
/sdk/apps/connections/{SDK_connectionName}

Deletes a connection. The connection must not be in use (e.g. referenced by a webhook/module/RPC or attached to an endpoint), otherwise the request is rejected.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_connectionNamestringRequired
Responses
200

Successful response

application/json
appConnectionstringOptional
delete/sdk/apps/connections/{SDK_connectionName}
DELETE /api/v2/sdk/apps/connections/{SDK_connectionName} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
{
  "appConnection": "custom-app-13"
}

Update Connection

patch
/sdk/apps/connections/{SDK_connectionName}
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_connectionNamestringRequired
Body
labelstringOptional
connectedSystemNamestring · nullableOptional
Responses
200

Successful response

application/json
patch/sdk/apps/connections/{SDK_connectionName}
PATCH /api/v2/sdk/apps/connections/{SDK_connectionName} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 60

{
  "label": "Main Connection",
  "connectedSystemName": "my-agent"
}
200

Successful response

{
  "appConnection": {
    "name": "charlie-1",
    "label": "Main Connection",
    "type": "basic",
    "connectedSystemName": "my-agent"
  }
}

Get Connection Section

get
/sdk/apps/connections/{SDK_connectionName}/{SDK_connectionSection}

Available sections: api, parameters, scopes, scope, install, installSpec

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_connectionNamestringRequired
SDK_connectionSectionstringRequired
Responses
200

Successful response

application/json
get/sdk/apps/connections/{SDK_connectionName}/{SDK_connectionSection}
GET /api/v2/sdk/apps/connections/{SDK_connectionName}/{SDK_connectionSection} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "authorize": {
    "qs": {
      "scope": "{{join(oauth.scope, ',')}}",
      "client_id": "{{ifempty(parameters.clientId, common.clientId)}}",
      "redirect_uri": "{{oauth.redirectUri}}",
      "response_type": "code"
    },
    "url": "https://www.example.com/oauth/authorize",
    "response": {
      "temp": {
        "code": "{{query.code}}"
      }
    }
  },
  "token": {
    "url": "https://www.example.com/api/token",
    "body": {
      "code": "{{temp.code}}",
      "client_id": "{{ifempty(parameters.clientId, common.clientId)}}",
      "grant_type": "authorization_code",
      "redirect_uri": "{{oauth.redirectUri}}",
      "client_secret": "{{ifempty(parameters.clientSecret, common.clientSecret)}}"
    },
    "type": "urlencoded",
    "method": "POST",
    "response": {
      "data": {
        "accessToken": "{{body.access_token}}"
      }
    },
    "log": {
      "sanitize": [
        "request.body.code",
        "request.body.client_secret",
        "response.body.access_token"
      ]
    }
  },
  "info": {
    "url": "https://www.example.com/api/whoami",
    "headers": {
      "authorization": "Bearer {{connection.accessToken}}"
    },
    "response": {
      "uid": "{{body.id}}",
      "metadata": {
        "type": "text",
        "value": "{{body.user}}"
      }
    },
    "log": {
      "sanitize": [
        "request.headers.authorization"
      ]
    }
  },
  "invalidate": {
    "url": "https://www.example.com/oauth/invalidate",
    "headers": {
      "authorization": "Bearer {{connection.accessToken}}"
    },
    "log": {
      "sanitize": [
        "request.headers.authorization"
      ]
    }
  }
}

Set Connection Section

put
/sdk/apps/connections/{SDK_connectionName}/{SDK_connectionSection}

Available sections: api, parameters, scopes, scope, installSpec, install

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_connectionNamestringRequired
SDK_connectionSectionstringRequired
Body

The structure of the request body varies depending on the section being updated. It can be a JSON object or array.

objectOptional
or
object[]Optional
Responses
200

Successful response

application/json
put/sdk/apps/connections/{SDK_connectionName}/{SDK_connectionSection}
PUT /api/v2/sdk/apps/connections/{SDK_connectionName}/{SDK_connectionSection} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 67

[
  {
    "name": "apiKey",
    "type": "text",
    "label": "API Key",
    "required": true
  }
]
200

Successful response

{
  "change": {
    "id": 12345,
    "group": "apps_connections",
    "item": "my-connection-name",
    "code": "parameters"
  }
}

Get Connection Common

get
/sdk/apps/connections/{SDK_connectionName}/common
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_connectionNamestringRequired
Responses
200

Successful response

application/json
objectOptional

The common data for the connection. The structure of this object is not fixed and depends on the connection's configuration.

get/sdk/apps/connections/{SDK_connectionName}/common
GET /api/v2/sdk/apps/connections/{SDK_connectionName}/common HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "clientId": "your-client-id",
  "clientSecret": "your-client-secret"
}

Set Connection Common

put
/sdk/apps/connections/{SDK_connectionName}/common
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_connectionNamestringRequired
Body
objectOptional

The common data for the connection. The structure of this object is not fixed and depends on the connection's configuration.

Responses
200

Successful response

application/json
changedbooleanOptional
put/sdk/apps/connections/{SDK_connectionName}/common
PUT /api/v2/sdk/apps/connections/{SDK_connectionName}/common HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 65

{
  "clientId": "your-client-id",
  "clientSecret": "your-client-secret"
}
200

Successful response

{
  "changed": true
}

Recreate Connection

post
/sdk/apps/connections/{SDK_connectionName}/recreate

Recreates an existing app connection and synchronises it with HQ.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
SDK_connectionNamestringRequired
Responses
200

Successful response

application/json
objectOptional

An empty object is returned on successful recreation.

post/sdk/apps/connections/{SDK_connectionName}/recreate
POST /api/v2/sdk/apps/connections/{SDK_connectionName}/recreate HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{}

Last updated